Bug 663468 - expand matahari to support PPC and zSeries architectures
expand matahari to support PPC and zSeries architectures
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: 6.2
Assigned To: Russell Bryant
Dave Johnson
: TechPreview
Depends On: 658828 663461 663465 745600
Blocks: 747120
  Show dependency treegraph
 
Reported: 2010-12-15 16:42 EST by Perry Myers
Modified: 2012-09-11 10:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: matahari-0.4.4-8.el6
Doc Type: Technology Preview
Doc Text:
Cause: Matahari was previously only built for i366 and x86_64. Consequence: Matahari could not be used on other architectures. Change: Matahari is now built for all architectures. Result: Matahari can be used on all architectures. Note that Matahari in RHEL 6.2 is only fully supported for i386 and x86_64. Builds for other architectures are considered in tech preview.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 06:38:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2010-12-15 16:42:48 EST
Description of problem:
Matahari will initially be introduced into RHEL with just support for x86_64 and x86.  Need to expand this to include PPC and zSeries so that the agent infrastructure will work across all supported RHEL platforms.
Comment 2 Perry Myers 2010-12-15 16:43:43 EST
This bug is filed against distribution component until bz component for matahari
is created.
Comment 4 Perry Myers 2011-08-08 15:15:42 EDT
The dependent bug for getting qpid/qmf packages built in brew for these secondary arches is still in NEW state and we're a week from devel freeze.  That doesn't leave us any time to complete the matahari side of this before devel freeze, so this has to be punted to RHEL 6.3 due to unresolved dependencies.
Comment 5 Russell Bryant 2011-10-07 16:47:10 EDT
Builds across all arches works now.  Should we pull this back to 6.2?

https://brewweb.devel.redhat.com/taskinfo?taskID=3694643
Comment 6 Russell Bryant 2011-10-07 16:53:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Matahari in RHEL 6.2 is only fully supported for x86 and x86_64.  Builds for other architectures are considered in tech preview.
Comment 10 Dave Johnson 2011-11-08 22:34:06 EST
good to go in v0.4.4-11 however (bug 745600) qpid-tools was never delievered
Comment 11 Russell Bryant 2011-11-16 16:02:23 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,4 @@
-Matahari in RHEL 6.2 is only fully supported for x86 and x86_64.  Builds for other architectures are considered in tech preview.+Cause: Matahari was previously only built for i366 and x86_64.
+Consequence: Matahari could not be used on other architectures.
+Change: Matahari is now built for all architectures.
+Result: Matahari can be used on all architectures.  Note that Matahari in RHEL 6.2 is only fully supported for i386 and x86_64.  Builds for other architectures are considered in tech preview.
Comment 12 errata-xmlrpc 2011-12-06 06:38:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html

Note You need to log in before you can comment on or make changes to this bug.